#
# spec file for package python-entrypoints
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-entrypoints
Version:        0.4
Release:        2.7
Summary:        Discover and load entry points from installed packages
License:        MIT
URL:            https://github.com/takluyver/entrypoints
Source:         https://files.pythonhosted.org/packages/source/e/entrypoints/entrypoints-%{version}.tar.gz
BuildRequires:  %{python_module flit-core}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-configparser >= 3.5
%endif
%ifpython2
Requires:       python-configparser >= 3.5
%endif
%python_subpackages

%description
Entry points are a way for Python packages to advertise objects with
some common interface. The most common examples are console_scripts
entry points, which define shell commands by identifying a Python
function to run.

Groups of entry points, such as console_scripts, point to objects with
similar interfaces. An application might use a group to find its
plugins, or multiple groups if it has different kinds of plugins.

%prep
%setup -q -n entrypoints-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%{python_sitelib}/entrypoints.py*
%pycache_only %{python_sitelib}/__pycache__/entrypoints*.py*
%{python_sitelib}/entrypoints-%{version}.dist-info

%changelog
* Thu Jul  6 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Oct  6 2022 Dirk Müller <dmueller@suse.com>
- update to 0.4:
  * Use set comprehension
  * Fix link to entry_points
  * Treat editable installs as Distributions too
  * Document motvation / constrast to pkg_resources
  * Switch build-backend to flit_core
* Mon Mar 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
- Really execute tests
* Mon Feb  4 2019 Hans-Peter Jansen <hpj@urpla.net>
- update to version 0.3:
  Check: https://github.com/takluyver/entrypoints/commits/master
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Nov  9 2017 toddrme2178@gmail.com
- Use proper install so .egg-info is available.
  This makes sure other packages can properly detect it.
* Fri Nov  3 2017 arun@gmx.de
- specfile:
  * use pypi source url
- update to version 0.2.3:
  * Clarify license associated with files
* Sun Jul 10 2016 arun@gmx.de
- update to version 0.2.2:
  * Import configparser from backports on Python 2
* Tue May 17 2016 toddrme2178@gmail.com
- Initial version
